org.encog.neural.rbf.training

## Class SVDTraining

- java.lang.Object
- - org.encog.ml.train.BasicTraining
  - - org.encog.neural.rbf.training.SVDTraining

- All Implemented Interfaces:
    MLTrain

      public class SVDTraining
      extends BasicTraining

  Train a RBF neural network using a SVD. Contributed to Encog By M.Fletcher and M.Dean University of Cambridge, Dept. of Physics, UK

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVDTraining(RBFNetwork network, MLDataSet training)` Construct the training object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canContinue()`
    `void` | `flatToMatrix(double[] flat, int start, double[][] matrix)`
    `RBFNetwork` | `getMethod()` Get the current best machine learning method from the training.
    `void` | `iteration()` Perform one iteration.
    `void` | `matrixToFlat(double[][] matrix, double[] flat, int start)` Convert the matrix to flat.
    `TrainingContinuation` | `pause()` Pause the training to continue later.
    `void` | `resume(TrainingContinuation state)` Resume training.

    - ### Methods inherited from class org.encog.ml.train.BasicTraining

      `addStrategy, finishTraining, getError, getImplementationType, getIteration, getStrategies, getTraining, isTrainingDone, iteration, postIteration, preIteration, setError, setIteration, setTraining`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVDTraining

          public SVDTraining(RBFNetwork network,
                     MLDataSet training)

      Construct the training object.
      Parameters:
        `network` - The network to train. Must have a single output neuron.
        `training` - The training data to use. Must be indexable.

  - ### Method Detail

    - #### canContinue

          public boolean canContinue()

      Returns:
        True if the training can be paused, and later continued.

    - #### flatToMatrix

          public void flatToMatrix(double[] flat,
                          int start,
                          double[][] matrix)

    - #### getMethod

          public RBFNetwork getMethod()

      Get the current best machine learning method from the training.
      Returns:
        The best machine learningm method.

    - #### iteration

          public void iteration()

      Perform one iteration.

    - #### matrixToFlat

          public void matrixToFlat(double[][] matrix,
                          double[] flat,
                          int start)

      Convert the matrix to flat.
      Parameters:
        `matrix` - The matrix.
        `flat` - Flat array.
        `start` - WHere to start.

    - #### pause

          public TrainingContinuation pause()

      Pause the training to continue later.
      Returns:
        A training continuation object.

    - #### resume

          public void resume(TrainingContinuation state)

      Resume training.
      Parameters:
        `state` - The training continuation object to use to continue.

Copyright © 2014. All Rights Reserved.